#include<bits/stdc++.h>
using namespace std;
void solve(int x1,int y1,int x2,int y2,int a,int b) {
    int razX=abs(x1-x2);
    int razY=abs(y1-y2);
    int brX=a-razX+1;
    int brY=b-razY+1;
    if(brX<0 || brY<0) {
        cout<<"0\n";
        return;
    }
    cout<<brX*brY<<"\n";
}
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int t;
    cin>>t;
    for(int i=0;i<t;i++) {
        int x1,y1,x2,y2,a,b;
        cin>>x1>>y1>>x2>>y2>>a>>b;
        solve(x1,y1,x2,y2,a,b);

    }
    return 0;
}
